﻿<!DOCTYPE html>
<html class="web tlp-white nosidebar ready">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!--
    BSD 3-Clause License

    Copyright (c) 2019, FIRST.ORG, INC.
    Copyright (c) 2019, 李丹阳<libook7@gmail.com>.
    All rights reserved.

    Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
    following conditions are met:
    1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following
     disclaimer.
    2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
     following disclaimer in the documentation and/or other materials provided with the distribution.
    3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote
     products derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
    INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
    SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
    SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
    -->
    <title>Common Vulnerability Scoring System Version 3.1 Calculator</title>
    <meta property="og:title"
          content="Common Vulnerability Scoring System Version 3.1 Calculator">
    <meta property="og:type" content="website">
    <meta property="og:image" content="https://www.first.org/1st-icon-512.png">
    <meta property="og:url" content="https://www.first.org/cvss/calculator/3.1">
    <meta property="og:site_name"
          content="FIRST — Forum of Incident Response and Security Teams">
    <meta name="viewport"
          content="initial-scale=1,maximum-scale=1.0,user-scalable=no">
    <link rel="icon" type="image/png" href="https://www.first.org/1st.png">
    <link rel="apple-touch-icon" sizes="128x128"
          href="https://www.first.org/favicon.png">
</head>
<body>
    <div id="body" data-studio-s="body">
        <div id="c1" data-studio-c="2ypqcnXT4g" class="cvss-calculator">
            <!-- CVSS Calculator content start - add a <base href="http://www.first.org" /> to the head for offline editing -->
            <style type="text/css">

                #cvssReference {
                    font-size: 100%;
                }

                fieldset {
                    position: relative;
                    background-color: #f2f2f2;
                    margin-top: 50px;
                    border: 0;
                    padding: 1em 0;
                }

                    fieldset legend {
                        background-color: #666666;
                        color: #ffffff;
                        margin: 0;
                        width: 100%;
                        padding: 0.5em 0;
                        text-indent: 1em;
                    }

                    fieldset div.metric {
                        padding: 0;
                        margin: 0.5em 0;
                    }

                @media only screen and (min-width: 768px) {
                    fieldset div.column {
                        width: 45%;
                        margin: 0 0 0 1em;
                    }

                    fieldset div.column-left {
                        float: left;
                        height: auto;
                    }

                    fieldset div.column-right {
                        float: right;
                        height: auto;
                    }
                }

                fieldset h3 {
                    font-size: 1em;
                    margin: 0;
                    padding-left: 0.1em;
                }

                fieldset input {
                    display: none;
                    width: auto;
                }

                fieldset label {
                    background: #cccccc;
                    display: inline-block;
                    margin: 3px;
                    padding: 2px 5px;
                    cursor: pointer;
                    font-size: 90%;
                    border-radius: 5px;
                    color: #666666;
                    border: 1px solid #999999;
                    -webkit-user-select: none;
                    -moz-user-select: none;
                    -ms-user-select: none;
                    user-select: none;
                }

                    fieldset label:hover {
                        background: #666666;
                        color: #ffffff;
                        border: 1px solid #666666
                    }

                fieldset input:checked + label {
                    background: green;
                    border: 1px solid green;
                    color: #ffffff;
                }

                #vector {
                    margin: 0 1em;
                    padding: 0;
                }

                #vectorString {
                    display: none;
                    border: 0;
                    padding: 0;
                    margin: 0;
                    background-color: #090;
                    color: #ffffff;
                    font-weight: bold;
                    font-size: 0.8em;
                    width: 80em;
                    max-width: 100%;
                }

                .scoreRating {
                    position: absolute;
                    top: -36px;
                    right: 0;
                    padding: 0 0.4em;
                    margin: 0 15px;
                    border: 2px solid #666666;
                    background: #dddddd;
                    font-size: 11px;
                    border-radius: 10px;
                    width: 100px;
                    height: auto;
                    line-height: 150%;
                    text-align: center;
                }

                    .scoreRating.none,
                    .scoreRating.low,
                    .scoreRating.medium,
                    .scoreRating.high,
                    .scoreRating.critical {
                        color: #ffffff;
                    }

                    .scoreRating.none {
                        background: #53aa33;
                        border: 2px solid #53aa33;
                    }

                    .scoreRating.low {
                        background: #ffcb0d;
                        border: 2px solid #ffcb0d;
                    }

                    .scoreRating.medium {
                        background: #f9a009;
                        border: 2px solid #f9a009;
                    }

                    .scoreRating.high {
                        background: #df3d03;
                        border: 2px solid #df3d03;
                    }

                    .scoreRating.critical {
                        background: #cc0500;
                        border: 2px solid #cc0500;
                    }

                    .scoreRating span {
                        font-size: 150%;
                        font-weight: bold;
                        width: 100%;
                    }

                .needBaseMetrics {
                    text-align: center;
                    line-height: 100%;
                    padding-top: 5px;
                    font-size: 15px;
                }

                #baseMetricScore,
                #temporalMetricScore,
                #environmentalMetricScore {
                    display: block;
                    font-size: 32px;
                    line-height: 32px;
                    font-weight: normal;
                    margin-top: 4px;
                }

                #baseSeverity,
                #temporalSeverity,
                #environmentalSeverity {
                    font-size: 16px;
                    font-weight: normal;
                    margin-bottom: 5px;
                    display: block;
                }

                div#scriptWarning {
                    border: solid red 2px;
                    background: #f5dddd;
                    padding: 1em 1em 1em 1em;
                    margin: 0.4em 0;
                }
            </style>

            <noscript>
                <div id="scriptWarning">
                    This page requires JavaScript. If you have
                    disabled scripting, please enable it.
                </div>
            </noscript>

            <h1 id="mainTitle">
                Common Vulnerability Scoring System Version 3.1
                Calculator
            </h1>

            <form action="#">

                <p id="cvssReference">
                    Hover over metric group names, metric names
                    and
                    metric values for a summary of the information in the official
                    CVSS v3.1
                    Specification Document.
                </p>

                <fieldset id="baseMetricGroup">
                    <legend id="baseMetricGroup_Legend">
                        Base Score
                    </legend>

                    <div class="column column-left">

                        <div class="metric">
                            <h3 id="AV_Heading">
                                Attack Vector (AV)
                            </h3>
                            <input name="AV" value="N" id="AV_N" type="radio"><label for="AV_N" id="AV_N_Label">
                                Network
                                (N)
                            </label>
                            <input name="AV" value="A" id="AV_A" type="radio"><label for="AV_A" id="AV_A_Label">
                                Adjacent
                                (A)
                            </label>
                            <input name="AV" value="L" id="AV_L" type="radio"><label for="AV_L" id="AV_L_Label">
                                Local
                                (L)
                            </label>
                            <input name="AV" value="P" id="AV_P" type="radio"><label for="AV_P" id="AV_P_Label">
                                Physical
                                (P)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="AC_Heading">
                                Attack Complexity (AC)
                            </h3>
                            <input name="AC" value="L" id="AC_L" type="radio"><label for="AC_L" id="AC_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="AC" value="H" id="AC_H" type="radio"><label for="AC_H" id="AC_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="PR_Heading">
                                Privileges Required (PR)
                            </h3>
                            <input name="PR" value="N" id="PR_N" type="radio"><label for="PR_N" id="PR_N_Label">
                                None
                                (N)
                            </label>
                            <input name="PR" value="L" id="PR_L" type="radio"><label for="PR_L" id="PR_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="PR" value="H" id="PR_H" type="radio"><label for="PR_H" id="PR_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="UI_Heading">
                                User Interaction (UI)
                            </h3>
                            <input name="UI" value="N" id="UI_N" type="radio"><label for="UI_N" id="UI_N_Label">
                                None
                                (N)
                            </label>
                            <input name="UI" value="R" id="UI_R" type="radio"><label for="UI_R" id="UI_R_Label">
                                Required
                                (R)
                            </label>
                        </div>

                    </div>


                    <div class="column column-right">

                        <div class="metric">
                            <h3 id="S_Heading">
                                Scope (S)
                            </h3>
                            <input name="S" value="U" id="S_U" type="radio"><label for="S_U" id="S_U_Label">
                                Unchanged
                                (U)
                            </label>
                            <input name="S" value="C" id="S_C" type="radio"><label for="S_C" id="S_C_Label">
                                Changed
                                (C)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="C_Heading">
                                Confidentiality (C)
                            </h3>
                            <input name="C" value="N" id="C_N" type="radio"><label for="C_N" id="C_N_Label">
                                None
                                (N)
                            </label>
                            <input name="C" value="L" id="C_L" type="radio"><label for="C_L" id="C_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="C" value="H" id="C_H" type="radio"><label for="C_H" id="C_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="I_Heading">
                                Integrity (I)
                            </h3>
                            <input name="I" value="N" id="I_N" type="radio"><label for="I_N" id="I_N_Label">
                                None
                                (N)
                            </label>
                            <input name="I" value="L" id="I_L" type="radio"><label for="I_L" id="I_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="I" value="H" id="I_H" type="radio"><label for="I_H" id="I_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="A_Heading">
                                Availability (A)
                            </h3>
                            <input name="A" value="N" id="A_N" type="radio"><label for="A_N" id="A_N_Label">
                                None
                                (N)
                            </label>
                            <input name="A" value="L" id="A_L" type="radio"><label for="A_L" id="A_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="A" value="H" id="A_H" type="radio"><label for="A_H" id="A_H_Label">
                                High
                                (H)
                            </label>
                        </div>
                    </div>
                    <fieldset id="baseDataLeakageMetricGroup">
                        <div style="text-align:center;border:1px solid black">Data Leakage </div>
                        <div class="column column-left">
                            <div class="metric">
                                <h3 id="DC_Heading">
                                    Confidentiality (C)
                                </h3>
                                <input name="DC" value="N" id="DC_N" type="radio"><label for="DC_N" id="DC_N_Label">
                                    None
                                    (N)
                                </label>
                                <input name="DC" value="L" id="DC_L" type="radio"><label for="DC_L" id="DC_L_Label">
                                    Low
                                    (L)
                                </label>
                                <input name="DC" value="H" id="DC_H" type="radio"><label for="DC_H" id="DC_H_Label">
                                    High
                                    (H)
                                </label>
                            </div>

                            <div class="metric">
                                <h3 id="DI_Heading">
                                    Integrity (I)
                                </h3>
                                <input name="DI" value="N" id="DI_N" type="radio"><label for="DI_N" id="DI_N_Label">
                                    None
                                    (N)
                                </label>
                                <input name="DI" value="L" id="DI_L" type="radio"><label for="DI_L" id="DI_L_Label">
                                    Low
                                    (L)
                                </label>
                                <input name="DI" value="H" id="DI_H" type="radio"><label for="DI_H" id="DI_H_Label">
                                    High
                                    (H)
                                </label>
                            </div>

                            <div class="metric">
                                <h3 id="DA_Heading">
                                    Availability (A)
                                </h3>
                                <input name="DA" value="N" id="DA_N" type="radio"><label for="DA_N" id="DA_N_Label">
                                    None
                                    (N)
                                </label>
                                <input name="DA" value="L" id="DA_L" type="radio"><label for="DA_L" id="DA_L_Label">
                                    Low
                                    (L)
                                </label>
                                <input name="DA" value="H" id="DA_H" type="radio"><label for="DA_H" id="DA_H_Label">
                                    High
                                    (H)
                                </label>
                            </div>

                        </div>
                        <div class="column column-right">
                            <div class="metric">
                                <h3 id="DAC_Heading">
                                    Access Control
                                </h3>
                                <input name="DAC" value="N" id="DAC_N" type="radio"><label for="DAC_N" id="DAC_N_Label">
                                    None
                                    (N)
                                </label>
                                <input name="DAC" value="L" id="DAC_L" type="radio"><label for="DAC_L" id="DAC_L_Label">
                                    Low
                                    (L)
                                </label>
                                <input name="DAC" value="H" id="DAC_H" type="radio"><label for="DAC_H" id="DAC_H_Label">
                                    High
                                    (H)
                                </label>
                            </div>
                        </div>
                    </fieldset>

                    <div class="scoreRating">
                        <p class="needBaseMetrics">
                            Select values for all base
                            metrics to generate score
                        </p>
                        <span id="baseMetricScore"></span>
                        <span id="baseSeverity"></span>
                    </div>
                </fieldset>
                <div class="end"></div>

                <fieldset style="background:#090; color:#ffffff; border-radius:10px">
                    <p id="vector">
                        Vector String -
                        <span class="needBaseMetrics">select values for all base metrics to generate a vector</span>
                        <input id="vectorString" readonly="readonly" type="text">
                    </p>
                </fieldset>


                <fieldset id="temporalMetricGroup">
                    <legend id="temporalMetricGroup_Legend">
                        Temporal Score
                    </legend>

                    <div class="column column-left">
                        <div class="metric">
                            <h3 id="E_Heading">
                                Exploit Code Maturity (E)
                            </h3>
                            <input name="E" value="X" id="E_X" checked="checked"
                                   type="radio"><label for="E_X" id="E_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="E" value="U" id="E_U" type="radio"><label for="E_U" id="E_U_Label">
                                Unproven
                                (U)
                            </label>
                            <input name="E" value="P" id="E_P" type="radio"><label for="E_P" id="E_P_Label">
                                Proof-of-Concept
                                (P)
                            </label>
                            <input name="E" value="F" id="E_F" type="radio"><label for="E_F" id="E_F_Label">
                                Functional
                                (F)
                            </label>
                            <input name="E" value="H" id="E_H" type="radio"><label for="E_H" id="E_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="RL_Heading">
                                Remediation Level (RL)
                            </h3>
                            <input name="RL" value="X" id="RL_X" checked="checked"
                                   type="radio"><label for="RL_X" id="RL_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="RL" value="O" id="RL_O" type="radio"><label for="RL_O" id="RL_O_Label">
                                Official
                                Fix (O)
                            </label>
                            <input name="RL" value="T" id="RL_T" type="radio"><label for="RL_T" id="RL_T_Label">
                                Temporary
                                Fix (T)
                            </label>
                            <input name="RL" value="W" id="RL_W" type="radio"><label for="RL_W" id="RL_W_Label">
                                Workaround
                                (W)
                            </label>
                            <input name="RL" value="U" id="RL_U" type="radio"><label for="RL_U" id="RL_U_Label">
                                Unavailable
                                (U)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="RC_Heading">
                                Report Confidence (RC)
                            </h3>
                            <input name="RC" value="X" id="RC_X" checked="checked"
                                   type="radio"><label for="RC_X" id="RC_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="RC" value="U" id="RC_U" type="radio"><label for="RC_U" id="RC_U_Label">
                                Unknown
                                (U)
                            </label>
                            <input name="RC" value="R" id="RC_R" type="radio"><label for="RC_R" id="RC_R_Label">
                                Reasonable
                                (R)
                            </label>
                            <input name="RC" value="C" id="RC_C" type="radio"><label for="RC_C" id="RC_C_Label">
                                Confirmed
                                (C)
                            </label>
                        </div>

                    </div>
                    <div class="column column-right">
                        <div style="text-align:center;border:1px solid black">Time Scope </div>

                        <div class="metric">
                            <h3 id="TSC_Heading">
                                Count
                            </h3>
                            <input name="TSC" value="X" id="TSC_X" checked="checked"
                                   type="radio"><label for="TSC_X" id="TSC_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="TSC" value="L" id="TSC_L" type="radio"><label for="TSC_L" id="TSC_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="TSC" value="M" id="TSC_M" type="radio"><label for="TSC_M" id="TSC_M_Label">
                                Medium
                                (M)
                            </label>
                            <input name="TSC" value="H" id="TSC_H" type="radio"><label for="TSC_H" id="TSC_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="TSL_Heading">
                                Time Limit
                            </h3>
                            <input name="TSL" value="X" id="TSL_X" checked="checked"
                                   type="radio"><label for="TSL_X" id="TSL_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="TSL" value="L" id="TSL_L" type="radio"><label for="TSL_L" id="TSL_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="TSL" value="M" id="TSL_M" type="radio"><label for="TSL_M" id="TSL_M_Label">
                                Medium
                                (M)
                            </label>
                            <input name="TSL" value="H" id="TSL_H" type="radio"><label for="TSL_H" id="TSL_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                    </div>



                    <div class="scoreRating">
                        <p class="needBaseMetrics">
                            Select values for all base
                            metrics to generate score
                        </p>
                        <span id="temporalMetricScore"></span>
                        <span id="temporalSeverity"></span>
                    </div>
                </fieldset>
                <div class="end"></div>


                <fieldset id="environmentalMetricGroup">
                    <legend id="environmentalMetricGroup_Legend">
                        Environmental Score
                    </legend>

                    <div class="column column-left">

                        <div class="metric">
                            <h3 id="CR_Heading">
                                Confidentiality Requirement (CR)
                            </h3>
                            <input name="CR" value="X" id="CR_X" checked="checked"
                                   type="radio"><label for="CR_X" id="CR_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="CR" value="L" id="CR_L" type="radio"><label for="CR_L" id="CR_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="CR" value="M" id="CR_M" type="radio"><label for="CR_M" id="CR_M_Label">
                                Medium
                                (M)
                            </label>
                            <input name="CR" value="H" id="CR_H" type="radio"><label for="CR_H" id="CR_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="IR_Heading">
                                Integrity Requirement (IR)
                            </h3>
                            <input name="IR" value="X" id="IR_X" checked="checked"
                                   type="radio"><label for="IR_X" id="IR_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="IR" value="L" id="IR_L" type="radio"><label for="IR_L" id="IR_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="IR" value="M" id="IR_M" type="radio"><label for="IR_M" id="IR_M_Label">
                                Medium
                                (M)
                            </label>
                            <input name="IR" value="H" id="IR_H" type="radio"><label for="IR_H" id="IR_H_Label">
                                High
                                (H)
                            </label>
                        </div>

                        <div class="metric">
                            <h3 id="AR_Heading">
                                Availability Requirement (AR)
                            </h3>
                            <input name="AR" value="X" id="AR_X" checked="checked"
                                   type="radio"><label for="AR_X" id="AR_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="AR" value="L" id="AR_L" type="radio"><label for="AR_L" id="AR_L_Label">
                                Low
                                (L)
                            </label>
                            <input name="AR" value="M" id="AR_M" type="radio"><label for="AR_M" id="AR_M_Label">
                                Medium
                                (M)
                            </label>
                            <input name="AR" value="H" id="AR_H" type="radio"><label for="AR_H" id="AR_H_Label">
                                High
                                (H)
                            </label>
                        </div>
                    </div>

                    <div class="column column-right">
                        <div class="metric">
                            <h3 id="MAV_Heading">
                                Modified Attack Vector (MAV)
                            </h3>
                            <input name="MAV" value="X" id="MAV_X" checked="checked"
                                   type="radio"><label for="MAV_X" id="MAV_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MAV" value="N" id="MAV_N"
                                   type="radio"><label for="MAV_N" id="MAV_N_Label">Network</label>
                            <input name="MAV" value="A" id="MAV_A"
                                   type="radio"><label for="MAV_A" id="MAV_A_Label">
                                Adjacent
                                Network
                            </label>
                            <input name="MAV" value="L" id="MAV_L"
                                   type="radio"><label for="MAV_L" id="MAV_L_Label">Local</label>
                            <input name="MAV" value="P" id="MAV_P"
                                   type="radio"><label for="MAV_P" id="MAV_P_Label">Physical</label>
                        </div>

                        <div class="metric">
                            <h3 id="MAC_Heading">
                                Modified Attack Complexity (MAC)
                            </h3>
                            <input name="MAC" value="X" id="MAC_X" checked="checked"
                                   type="radio"><label for="MAC_X" id="MAC_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MAC" value="L" id="MAC_L"
                                   type="radio"><label for="MAC_L" id="MAC_L_Label">Low</label>
                            <input name="MAC" value="H" id="MAC_H"
                                   type="radio"><label for="MAC_H" id="MAC_H_Label">High</label>
                        </div>

                        <div class="metric">
                            <h3 id="MPR_Heading">
                                Modified Privileges Required (MPR)
                            </h3>
                            <input name="MPR" value="X" id="MPR_X" checked="checked"
                                   type="radio"><label for="MPR_X" id="MPR_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MPR" value="N" id="MPR_N"
                                   type="radio"><label for="MPR_N" id="MPR_N_Label">None</label>
                            <input name="MPR" value="L" id="MPR_L"
                                   type="radio"><label for="MPR_L" id="MPR_L_Label">Low</label>
                            <input name="MPR" value="H" id="MPR_H"
                                   type="radio"><label for="MPR_H" id="MPR_H_Label">High</label>
                        </div>

                        <div class="metric">
                            <h3 id="MUI_Heading">
                                Modified User Interaction (MUI)
                            </h3>
                            <input name="MUI" value="X" id="MUI_X" checked="checked"
                                   type="radio"><label for="MUI_X" id="MUI_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MUI" value="N" id="MUI_N"
                                   type="radio"><label for="MUI_N" id="MUI_N_Label">None</label>
                            <input name="MUI" value="R" id="MUI_R"
                                   type="radio"><label for="MUI_R" id="MUI_R_Label">Required</label>
                        </div>

                        <div class="metric">
                            <h3 id="MS_Heading">
                                Modified Scope (MS)
                            </h3>
                            <input name="MS" value="X" id="MS_X" checked="checked"
                                   type="radio"><label for="MS_X" id="MS_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MS" value="U" id="MS_U" type="radio"><label for="MS_U" id="MS_U_Label">Unchanged</label>
                            <input name="MS" value="C" id="MS_C" type="radio"><label for="MS_C" id="MS_C_Label">Changed</label>
                        </div>

                        <div class="metric">
                            <h3 id="MC_Heading">
                                Modified Confidentiality (MC)
                            </h3>
                            <input name="MC" value="X" id="MC_X" checked="checked"
                                   type="radio"><label for="MC_X" id="MC_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MC" value="N" id="MC_N" type="radio"><label for="MC_N" id="MC_N_Label">None</label>
                            <input name="MC" value="L" id="MC_L" type="radio"><label for="MC_L" id="MC_L_Label">Low</label>
                            <input name="MC" value="H" id="MC_H" type="radio"><label for="MC_H" id="MC_H_Label">High</label>
                        </div>

                        <div class="metric">
                            <h3 id="MI_Heading">
                                Modified Integrity (MI)
                            </h3>
                            <input name="MI" value="X" id="MI_X" checked="checked"
                                   type="radio"><label for="MI_X" id="MI_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MI" value="N" id="MI_N" type="radio"><label for="MI_N" id="MI_N_Label">None</label>
                            <input name="MI" value="L" id="MI_L" type="radio"><label for="MI_L" id="MI_L_Label">Low</label>
                            <input name="MI" value="H" id="MI_H" type="radio"><label for="MI_H" id="MI_H_Label">High</label>
                        </div>

                        <div class="metric">
                            <h3 id="MA_Heading">
                                Modified Availability (MA)
                            </h3>
                            <input name="MA" value="X" id="MA_X" checked="checked"
                                   type="radio"><label for="MA_X" id="MA_X_Label">
                                Not
                                Defined (X)
                            </label>
                            <input name="MA" value="N" id="MA_N" type="radio"><label for="MA_N" id="MA_N_Label">None</label>
                            <input name="MA" value="L" id="MA_L" type="radio"><label for="MA_L" id="MA_L_Label">Low</label>
                            <input name="MA" value="H" id="MA_H" type="radio"><label for="MA_H" id="MA_H_Label">High</label>
                        </div>
                    </div>

                    <div class="scoreRating">
                        <p class="needBaseMetrics">
                            Select values for all base
                            metrics to generate score
                        </p>
                        <span id="environmentalMetricScore"></span>
                        <span id="environmentalSeverity"></span>
                    </div>
                </fieldset>
                <div class="end"></div>

            </form>
            <!-- CVSS Calculator end -->
        </div>
    </div>
    <script nonce="cjql9elrx/ySsg==" type="text/javascript" async="async"
            src="js/cvsscalc31.js"></script>
    <script nonce="cjql9elrx/ySsg==" type="text/javascript" async="async"
            src="i18n/cvsscalc31_helptext.js"></script>
    <script nonce="cjql9elrx/ySsg==" type="text/javascript" async="async"
            src="js/cvsscalculator31.js"></script>
</body>
</html>
